apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: keycloak-operator-0.0.0-1c74a2ec
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: norole-operator
      name: keycloak-operator
      podspec:
        containers:
          - image: aep/base_jammy
            name: keycloak-operator
      sizing:
        increment: 0
        initial: 1
        maximum: 1
        minimum: 1
      topologyqueries:
        - flags:
            - key: operator_identifier
              value: keycloak-operator
            - key: v1_role
              value: keycloak
          format: array
          groupby:
            - v1_clusterid
            - v1_role
          name: allnodes
          scope: global
  includes:
    - name: defaults-operator
      vendor: asag
      version: 0.3.1
  name: keycloak-operator
  operator:
    flags:
      - from: value
        key: operator_identifier
        to: label
        value: keycloak-operator
    version: "1.0"
  settings:
    - name: environment
      schema:
        default: noenv_prod
  version: 0.0.0-1c74a2ec
